最新公告
  • 欢迎您光临AA分享网,一个高级程序员的学习、分享的分享平台!立即加入我们
  • vue.js怎么安装依赖包

    本文环境:windows7、vue2.9.6,该方法适用于所有品牌的电脑。

    vue.js安装依赖包的方法:

    UI库: element-ui iview

    npm i element-ui -S
    在项目中引入 element-ui 在入口文件main.js中配置:
     (全局引入,会把组件库里所有的组件和css引入)
      import ElementUI from 'element-ui';
      import 'element-ui/lib/theme-chalk/index.css';
      Vue.use(ElementUI);
    npm install iview -S
    在项目中引入iview 在入口文件main.js中配置:
     (全局引入,会把组件库里所有的组件和css引入)
    import iView from 'iview'
    import 'iview/dist/styles/iview.css'
    Vue.use(iView)

    安装依赖包: babel-polyfill

    vue cli3-IE浏览器 babel-polyfill  (如果新建项目的时候安装了 babel-loader依赖,就不需要安装babel-polyfill,babel-loader包含了)
    (题主的项目应用常规的vue-cli3构建项目,在兼容IE浏览器时遇到的问题,做一下记录,IE11版本浏览器不支持ES6百分之85%的语法规范,在vue项目中选择使用babel-polyfill兼容语法)
    (1)安装babel-polyfill: npm install babel-polyfill --save-dev
    (2)在main.js引用:  import 'babel/polyfill'   (可能是 import '@babel/polyfill' )
    (3)babel.config.js 配置:
        module.exports = {
          presets: [
            ['@vue/app', {
              useBuiltIns: 'entry'
            }]
          ]
        }
    (4)vue.config.js配置: 
        chainWebpack (config) {
          config.entry('main').add('babel-polyfill')
        }
     ()package.json里面的.browserslistrc
        【
          > 1%
          last 2 versions
          not ie <= 10
        】

    以上就是vue.js怎么安装依赖包的详细内容,更多请关注其它相关文章!

    AA分享网一个高级程序员的学习、分享的IT资源分享平台
    AA分享网-企业网站源码-PHP源码-网站模板-视频教程-IT技术教程 » vue.js怎么安装依赖包
    • 257会员总数(位)
    • 5897资源总数(个)
    • 8本周发布(个)
    • 0 今日发布(个)
    • 536稳定运行(天)

    提供最优质的资源集合

    立即查看 了解详情